Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.context
Class ExternalContextFactory

    java.lang.Object
      javax.faces.context.ExternalContextFactory

All Implemented Interfaces:
  FacesWrapper<ExternalContextFactory>

    public abstract class ExternalContextFactory

extends java.lang.Object
implements FacesWrapper<ExternalContextFactory>

ExternalContextFactory is a factory object that creates (if needed) and returns new `ExternalContext` instances, initialized for the processing of the specified request and response objects.

There must be one `ExternalContextFactory` instance per web application that is utilizing JavaServer Faces. This instance can be acquired, in a portable manner, by calling:

       ExternalContextFactory factory = (ExternalContextFactory)
        FactoryFinder.getFactory(FactoryFinder.EXTERNAL_CONTEXT_FACTORY);

Constructor Summary
`ExternalContextFactory()`

Method Summary
`abstract ExternalContext` | `getExternalContext(java.lang.Object context, java.lang.Object request, java.lang.Object response)` Create (if needed) and return an `ExternalContext` instance that is initialized for the processing of the specified request and response objects, for this web application.
`ExternalContextFactory` | `getWrapped()` If this factory has been decorated, the implementation doing the decorating may override this method to provide access to the implementation being wrapped.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExternalContextFactory

    public ExternalContextFactory()

Method Detail

### getWrapped

    public ExternalContextFactory getWrapped()

  If this factory has been decorated, the implementation doing the decorating may override this method to provide access to the implementation being wrapped. A default implementation is provided that returns `null`.

  Specified by:
    `getWrapped` in interface `FacesWrapper<ExternalContextFactory>`
  Since:
    2.0

### getExternalContext

    public abstract ExternalContext getExternalContext(java.lang.Object context,
                                                       java.lang.Object request,
                                                       java.lang.Object response)
                                                throws FacesException

  Create (if needed) and return an `ExternalContext` instance that is initialized for the processing of the specified request and response objects, for this web application.

  Parameters:
    `context` - In servlet environments, the `ServletContext` that is associated with this web application
    `request` - In servlet environments, the `ServletRequest` that is to be processed
    `response` - In servlet environments, the `ServletResponse` that is to be processed
  Throws:
    `FacesException` - if a `ExternalContext` cannot be constructed for the specified parameters
    `java.lang.NullPointerException` - if any of the parameters are `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.